Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.transformer.om.mapInit
Class DatabaseMapInitTableTransformer

    java.lang.Object
      org.apache.torque.generator.source.transform.AttributeTransformer
          org.apache.torque.templates.transformer.om.mapInit.DatabaseMapInitTableTransformer

All Implemented Interfaces:
  SourceTransformer

    public class DatabaseMapInitTableTransformer

extends AttributeTransformer

A transformer which sets attributes for the table elements for generating the map init classes.

Version:
  $Id: DatabaseMapInitTableTransformer.java 1403508 2012-10-29 21:00:59Z tfischer $

Constructor Summary
`DatabaseMapInitTableTransformer()` Constructor.

Method Summary
`SourceElement` | `transform(SourceElement tableElement, ControllerState controllerState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseMapInitTableTransformer

    public DatabaseMapInitTableTransformer()
                                    throws SourceTransformerException

  Constructor.

  Throws:
    `SourceTransformerException` - if the attribute map is malformed.

Method Detail

### transform

    public SourceElement transform(SourceElement tableElement,
                                   ControllerState controllerState)
                            throws SourceTransformerException

  Specified by:
    `transform` in interface `SourceTransformer`
  Overrides:
    `transform` in class `AttributeTransformer`
  Throws:
    `SourceTransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.